Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001979Frama-CDocumentation > manualspublic2014-11-21 16:132016-06-21 14:15
Reportergavran 
Assigned ToMatthieu Lemerre 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSDebianOS Version7
Product VersionFrama-C Neon-20140301 
Target VersionFrama-C SodiumFixed in VersionFrama-C Sodium 
Summary0001979: Bug in example - plugin documentation
DescriptionIn Plugin development guide (available at frama-c.com/download.html, chapter 2.3.2 code for method vstmt_aux:

- color should be defined without brackets (currently, it is inside [ ] which is duplicating brakets and yields syntax error)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005567)
Matthieu Lemerre (developer)
2014-11-25 11:07

Color should not be the problem, because the [] are prefixed by @. However, there was indeed an extraneous @[ in the following line (after the %d), which I replaced by @ . Maybe this caused a problem in the output?

Anyway, thanks for reporting this.

- Issue History
Date Modified Username Field Change
2014-11-21 16:13 gavran New Issue
2014-11-21 16:13 gavran Status new => assigned
2014-11-21 16:13 gavran Assigned To => signoles
2014-11-21 16:25 signoles Target Version => Frama-C Sodium
2014-11-21 18:15 signoles Assigned To signoles => Matthieu Lemerre
2014-11-21 18:19 signoles Status assigned => acknowledged
2014-11-25 11:07 Matthieu Lemerre Note Added: 0005567
2014-11-25 11:08 Matthieu Lemerre Status acknowledged => resolved
2014-11-25 11:08 Matthieu Lemerre Fixed in Version => Frama-C Sodium
2014-11-25 11:08 Matthieu Lemerre Resolution open => fixed
2015-03-17 22:18 signoles Status resolved => closed
2016-06-21 14:11 signoles Category Documentation => Documentation > ACSL
2016-06-21 14:15 signoles Category Documentation > ACSL => Documentation > manuals


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker